Subject: RE: git whatchanged

From: <[email-masked]>
Date: Wed, 20 Aug 2025 10:12:57 -0400

On August 20, 2025 3:53 AM, Kristoffer Haugsbakk wrote:
>On Tue, Aug 19, 2025, at 22:57, [email-masked] wrote:
>> On August 19, 2025 1:51 PM, Chris Judkins-Fisher wrote:
>>>I still use git whatchanged
>>
>> I did too. However, now that git log --since has basically the same
>> functionality, Perhaps setting up a git alias might do the trick for
>> you:
>>
>> git config --global alias.whatchanged 'log'
>>
>> so
>>
>> git whatchanged --since="2 week"
>>
>> or something like that should continue to work after the command is
>> removed.
>
>You can’t alias core commands.  So this will fail in the reported way before Git 3.0.
>Then from that point out it will work as an alias.

I know. I was being pro-active with my answer on how to deal with this.